#!/bin/bash

# Define parameters
hidden_channels=(32)
learning_rates=(0.005)
ssm_format=("siso")
token_mixer=("conv1d")

# Iterate over each combination of parameters
for hc in "${hidden_channels[@]}"
do
    for lr in "${learning_rates[@]}"
    do
        for ssm in "${ssm_format[@]}"
        do
            for mixer in "${token_mixer[@]}"
            do
                python SSM/ssm_main.py --hidden_channels $hc --learning_rate $lr --ssm_format $ssm --token_mixer $mixer --device 0 \
                --dataset "dblp5" --special
            done
        done
    done
done

