#!/bin/bash

# Define parameters
hidden_channels=(32)
learning_rates=(0.005)
ssm_format=("siso")
token_mixer=("interp")
train_size=(0.4 0.6 0.8)

# Iterate over each combination of parameters
for hc in "${hidden_channels[@]}"
do
    for lr in "${learning_rates[@]}"
    do
        for ssm in "${ssm_format[@]}"
        do
            for mixer in "${token_mixer[@]}"
            do
                for size in "${train_size[@]}"
                do
                    python SSM/ssm_batch.py --hidden_channels $hc --learning_rate $lr --ssm_format $ssm --token_mixer $mixer --train_size $size --device 1
                done
            done
        done
    done
done